Subject: Re: [net-next PATCH] net: core: Add napi_complete_done tracepoint

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Oct 2022 17:58:24 -0700

On Mon, 10 Oct 2022 11:21:34 -0700 Joe Damato wrote:
> Add a tracepoint to help debug napi_complete_done. Users who set
> defer_hard_irqs and the GRO timer can use this tracepoint to better
> understand what impact these options have when their NIC driver calls
> napi_complete_done.
> 
> perf trace can be used to enable the tracepoint and the output can be
> examined to determine which settings should be adjusted.

Are you familiar with bpftrace, and it's ability to attach to kfunc 
and kretfunc? We mostly add tracepoints to static functions which get
inlined these days.